Mandrake Linux Security Advisory : fileutils (MDKSA-2002:031)

Low Nessus Plugin ID 13937


The remote Mandrake Linux host is missing a security update.


Wojciech Purczynski reported a race condition in some utilities in the GNU fileutils package that may cause root to delete the entire filesystem. This only affects version 4.1 stable and 4.1.6 development versions, and the authors have fixed this in the latest development version.


Update the affected fileutils package.

See Also

Plugin Details

Severity: Low

ID: 13937

File Name: mandrake_MDKSA-2002-031.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.2

Vector: CVSS2#AV:L/AC:H/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:fileutils, cpe:/o:mandrakesoft:mandrake_linux:8.1, cpe:/o:mandrakesoft:mandrake_linux:8.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2002/05/16

Reference Information

CVE: CVE-2002-0435

MDKSA: 2002:031